Buckets
List bucket keys
Returns all access keys for the given bucket.
Returns all access keys for the given bucket.
GET
/v1/buckets/{bucketId}/keysAuthorizationBearer <token>
OAuth2 authentication
In: header
Scope: workspace:admin, offline_access
Path Parameters
bucketId*string
Match
^(bkt_)?([cC][^\s-]{8,}|[a-z0-9]+)$Query Parameters
cursor?|
Cursor for pagination
limit?integer
Page size, 1-100
Default
100Range
1 <= value <= 100Response Body
application/json
application/json
application/json
curl -X GET "https://api.prisma.io/v1/buckets/string/keys"{
"data": [
{
"id": "string",
"type": "bucketKey",
"name": "string",
"valueHint": "string",
"role": "read",
"createdAt": "2019-08-24T14:15:22Z"
}
],
"pagination": {
"nextCursor": "string",
"hasMore": true
}
}{
"error": {
"code": "string",
"message": "string",
"hint": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"hint": "string"
}
}